<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Form_Fields_DataType StructType
 * Meta information extracted from the WSDL
 * - documentation: Enter a Hex number with a length of 3 or 6 characters ranging between: 0-9, a-f, A-F. | Element container for the form fields of brand.
 * @subpackage Structs
 */
class Form_Fields_DataType extends AbstractStructBase
{
    /**
     * The Accent_Color
     * Meta information extracted from the WSDL
     * - documentation: Accent Color for form fields of brand.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Accent_Color;
    /**
     * The Header_Text_Color
     * Meta information extracted from the WSDL
     * - documentation: Header Text Color for form fields of brand.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Header_Text_Color;
    /**
     * Constructor method for Form_Fields_DataType
     * @uses Form_Fields_DataType::setAccent_Color()
     * @uses Form_Fields_DataType::setHeader_Text_Color()
     * @param string $accent_Color
     * @param string $header_Text_Color
     */
    public function __construct($accent_Color = null, $header_Text_Color = null)
    {
        $this
            ->setAccent_Color($accent_Color)
            ->setHeader_Text_Color($header_Text_Color);
    }
    /**
     * Get Accent_Color value
     * @return string|null
     */
    public function getAccent_Color()
    {
        return $this->Accent_Color;
    }
    /**
     * Set Accent_Color value
     * @param string $accent_Color
     * @return \StructType\Form_Fields_DataType
     */
    public function setAccent_Color($accent_Color = null)
    {
        // validation for constraint: string
        if (!is_null($accent_Color) && !is_string($accent_Color)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($accent_Color, true), gettype($accent_Color)), __LINE__);
        }
        $this->Accent_Color = $accent_Color;
        return $this;
    }
    /**
     * Get Header_Text_Color value
     * @return string|null
     */
    public function getHeader_Text_Color()
    {
        return $this->Header_Text_Color;
    }
    /**
     * Set Header_Text_Color value
     * @param string $header_Text_Color
     * @return \StructType\Form_Fields_DataType
     */
    public function setHeader_Text_Color($header_Text_Color = null)
    {
        // validation for constraint: string
        if (!is_null($header_Text_Color) && !is_string($header_Text_Color)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($header_Text_Color, true), gettype($header_Text_Color)), __LINE__);
        }
        $this->Header_Text_Color = $header_Text_Color;
        return $this;
    }
}
